Subject: graphviz: build with parallel/concurrency (buildopts -j) fails

From: Jonathan Dowland <[email-masked]>
Date: Thu, 26 Sep 2013 14:40:54 +0100

Source: graphviz
Version: 2.26.3-15
Severity: minor

The build behaviour for graphviz changes when the builder specifies concurrent
builds (e.g. -j8). In particular, the build fails. Here's the bottom bit of
output (after ./configure, up to the failure) from a pbuilder attempt (below).
Not sure if this is any help though.

I guess this is two wishlist requests: the first is to not FTBFS if -j is
specified, I guess by not supporting it. The second would be to support it ☺

> configure: creating ./config.status
> config.status: creating Makefile
> config.status: creating config.h
> config.status: executing depfiles commands
> config.status: executing libtool commands
> 
> ----------------------------------------------------------------
> 
> graphviz-2.26.3 will be compiled with the following:
> 
> options:
>   cgraph:        No (disabled by default - experimental)
>   digcola:       Yes
>   expat:         Yes
>   fontconfig:    Yes
>   freetype:      Yes
>   glut:          No (missing GL/glut.h)
>   gts:           No (disabled)
>   ipsepcola:     No (disabled by default - C++ portability issues)
>   ltdl:          Yes
>   ortho:         No (disabled by default - experimental)
>   png:           Yes
>   jpeg:          No (only required by internal libgd)
>   sfdp:          Yes
>   shared:        Yes
>   static:        No (disabled by default)
> 
> 
> commands:
>   dot:           Yes (always enabled)
>   neato:         Yes (always enabled)
>   fdp:           Yes (always enabled)
>   circo:         Yes (always enabled)
>   twopi:         Yes (always enabled)
>   gvpr:          Yes (always enabled)
>   lefty:         Yes
>   smyrna:        No (disabled by default - experimental)
> 
> plugin libraries:
>   dot_layout:    Yes (always enabled)
>   neato_layout:  Yes (always enabled)
>   core:          Yes (always enabled)
>   devil:         No (missing library)
>   gd:            Yes
>   gdiplus:       No (disabled by default - Windows only)
>   gdk_pixbuf:    Yes
>   ghostscript:   No (missing headers)
>   glitz:         No (disabled by default - incomplete)
>   gtk:           Yes
>   lasi:          No (lasi library not available)
>   ming:          No (disabled by default - incomplete)
>   pangocairo:    Yes
>   quartz:        No (disabled by default - Mac only)
>   rsvg:          No (disabled)
>   visio:         No (disabled by default - experimental)
>   xlib:          Yes
> 
> language extensions:
>   gv_sharp:      No (disabled)
>   gv_guile:      Yes
>   gv_io:         No (disabled by default - no swig support yet)
>   gv_java:       No (disabled)
>   gv_lua:        Yes
>   gv_ocaml:      No (ocaml not available)
>   gv_perl:       Yes
>   gv_php:        Yes
>   gv_python:     Yes
>   gv_python23:   No (disabled by default - for multiversion installs)
>   gv_python24:   No (disabled by default - for multiversion installs)
>   gv_python25:   No (disabled by default - for multiversion installs)
>   gv_python26:   No (disabled by default - for multiversion installs)
>   gv_python27:   Yes
>   gv_R:          No (disabled)
>   gv_ruby:       Yes
>   gv_tcl:        Yes
> 
>   tcldot:        Yes
>   tclpathplan:   Yes
>   gdtclft:       Yes
>   tkspline:      Yes
> touch configure-stamp
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> E: Failed autobuilding of package
> I: unmounting dev/pts filesystem
> I: unmounting proc filesystem
> I: cleaning the build env 
> I: removing directory /var/cache/pbuilder/build//2642 and its subdirectories